# getMyConnectionPower

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://api.thomas.co/v1/assessments/connection-power |

| Field | Value |
|---|---|
| operationId | getMyConnectionPower |
| method | GET |
| server | https://api.thomas.co/v1 |
| path | /assessments/connection-power |
| tags | `Behaviour` |
| summary | Get the authenticated user's own Connection Power |
| badges | None |

## Request Parameters

None.

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Connection Power type + completion timestamp (both null if never assessed) | #/components/schemas/ConnectionPowerResponseDto |
| 401 | Invalid or missing authentication token | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```
